slepc-3.21.1 2024-04-26
Report Typos and Errors

# BVSVDMethod

Different methods for computing the SVD of a BV

### Synopsis

    typedef enum { BV_SVD_METHOD_REFINE,
                   BV_SVD_METHOD_QR,
                   BV_SVD_METHOD_QR_CAA } BVSVDMethod;

### Notes

Allowed values are

| BV_SVD_METHOD_REFINE | - based on the SVD of the cross product matrix S'*S, with refinement
| BV_SVD_METHOD_QR | - based on the SVD of the triangular factor of qr(S)
| BV_SVD_METHOD_QR_CAA | - variant of QR intended for use in cammunication-avoiding Arnoldi

### See Also

BVSVDAndRank()

### Level

developer

### Location

include/slepcbv.h
Index of all BV routines
Table of Contents for all manual pages
Index of all manual pages